%define upstream_name    CPAN-Checksums
%define upstream_version 2.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Write a C<CHECKSUMS> file for a directory as on CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Data::Compare)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(DirHandle)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Module::Signature)
BuildArch:  noarch

%description
* $success = updatedir($dir)

  'updatedir()' takes a directory name as argument and writes a typical
  'CHECKSUMS' file in that directory as used on CPAN unless a previously
  written 'CHECKSUMS' file is there that is still valid. Returns 2 if a new
  'CHECKSUMS' file has been written, 1 if a valid 'CHECKSUMS' file is
  already there, otherwise dies.

  Note: since version 2.0 updatedir on empty directories behaves just the
  same. In older versions it silently did nothing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f *.list
rm -f t/00signature.t
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.80.0-3.mga4
+ Revision: 509494
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.80.0-2.mga3
+ Revision: 363604
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 136579
- update to 2.08

* Mon Jan 24 2011 jquelin <jquelin> 2.70.0-1.mga1
+ Revision: 37031
- mageia rebuild
- imported package perl-CPAN-Checksums

